.glossary-navigation {
  text-align: center;
  position: fixed;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 10px;
  z-index: 1000;
  font-size: 16px;
}
.glossary-navigation a {
  display: block;
  margin: 5px 0;
  padding: 10px;
  text-decoration: none;
  color: #000;
  background-color: #f0f0f0;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}
.glossary-navigation .small {
  font-size: 11px;
}
.glossary-navigation a.no-item {
  color: #c4c0c0;
  cursor: initial;
}
  
.glossary .section-contents, .glossary-detail .section-contents {
  padding: 30px;
  background-color: #ffffff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  margin-bottom: 40px;
}
.glossary.content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 30px;
}
.glossary .category:first-child:has(h2.title + span) .content {
  margin-top: 60px;
}
.glossary .content .content-list {
  background-color: #ffffff;
  border: 1px solid #dee2e6;
  border-radius: 8px;
  padding: 20px;
  margin: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.glossary .content .content-list:last-child {
  margin-bottom: 20px;
}
.glossary .content-list .content-title, .glossary-detail .custom-title {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 10px;
  color: #246c00;
  border-left: solid 8px #04384c;
  padding: 20px 25px;
  background: -webkit-linear-gradient(135deg, transparent 25%, rgba(5, 70, 95, 0.05) 25%, rgba(5, 70, 95, 0.05) 50%, transparent 50%, transparent 75%, rgba(5, 70, 95, 0.05) 75%, rgba(5, 70, 95, 0.05));
  background: linear-gradient(135deg, transparent 25%, rgba(5, 70, 95, 0.05) 25%, rgba(5, 70, 95, 0.05) 50%, transparent 50%, transparent 75%, rgba(5, 70, 95, 0.05) 75%, rgba(5, 70, 95, 0.05));
  background-size: 4px 4px;
}
  
.glossary .category h2.title {
  font-size: 24px;
  border-bottom: 1px solid hsla(0,0%,78%,.5);
  display: flow-root;
  margin-bottom: 30px;
}
.glossary .category h2.archive-title {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 30px;
  color: #379b05;
  text-align: center;
}
.glossary .category h2.title span {
  border-bottom: 1px solid #04384c;
  float: left;
  margin-bottom: -1px;
  padding: 0px 11px 11px;
}
.glossary .category .description {
  line-height: 1.8;
}
  
  
.glossary-category-tags ul, .glossary-detail .post-tags ul, .related-post-tag ul, .glossary-category-materials ul {
  padding: 5px 20px 10px;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 15px 10px;
  margin-left: 0;
}
  
.glossary-category-tags ul li a, .post-tags ul li a, .related-post-tag ul li a {
  color: #000;
  text-decoration: none;
  padding: 5px 10px;
  background-color: #e9ecef;
  border-radius: 4px;
  font-size: 14px;
  line-height: 2;
}

@media (max-width: 768px) {
  .glossary .section-contents, .glossary-detail .section-contents {
    padding: 20px;
  }
  .glossary .content-list .content-title, .glossary-detail .custom-title {
    font-size: 20px;
    padding: 15px;
  }
  .glossary .category h2.archive-title {
    font-size: 25px;
    margin-top: 20px;
  }
  .glossary-list .content.val .content-list {
    padding: 20px 15px 20px 40px;
  }
  .glossary-list .glossary-category-tags {
    margin-left: 25px;
  }
}

  
.glossary-detail .post_image {
  margin-bottom: 20px;
}
.glossary-detail .post_image .image_name {
  font-size: 14px;
  color: #555;
  text-align: center;
}
.glossary-detail #article .post_content h2 {
  position: relative;
  border-bottom: 3px solid #dfdfdf;
  padding: 25px 0 0 0;
  margin: 30px 0 30px 0;
  font-size: 20px;
  line-height: 1.8;
}
.glossary-detail #article .post_content h2::after {
  position: absolute;
  content: " ";
  display: block;
  width: 13%;
  border-bottom: 3px solid #379b05;
}
.glossary-detail #article .post_content h3 {
  padding: 8px 12px;
  background-color: #e5eae2;
  color: #205704;
  margin: 10px 0;
  font-size: 16px;
}
.glossary-detail .post_content ul {
  list-style: disc;
  margin-left: 30px;
}
.glossary-category-materials ul {
  list-style: disc;
  margin-left: 15px;
  display: block;
}
.glossary-category-materials ul li {
  margin-bottom: 10px;
}

.glossary-detail .post_content ol li::marker {
  content: "";
}
.glossary-detail .post_content ol {
  margin-left: 15px;
}
  
.glossary .blog_footer .post-tags h2, .related-post-tag h2, .glossary-category-materials h2 {
  padding: 6px 12px;
  color: #494949;
  background: transparent;
  border-left: solid 5px #7db4e6;
  margin: 25px 0 0;
  line-height: 1.8;
}
  
  
  
  
  
  
/*-- glossary search --*/
.glossary form.search-blog-form {
  width: 280px;
  height: 40px;
  position: relative;
  overflow: hidden;
  margin: 0 auto 20px;
}

.glossary input.input-keyword {
  position: absolute;
  left: 0;
  height: 40px;
  width: calc(100% - 40px) !important;
  background-color: #f7f7f7;
  border: 1px solid #ced4da;
  padding: 0 18px !important;
  transition: all 0.4s ease 0s;
  border-radius: 3px;
}
.glossary-detail input.input-keyword {
  width: calc(100% - 60px) !important;
}
.glossary button.search-btn {
    background: none;
    border: none;
    position: absolute;
    top: 12px;
    right: 0;
    z-index: 2;
    cursor: pointer;
    padding: 0;
}
.glossary button.search-btn:before {
  font-family: 'design_plus';
  font-weight: 900;
  content: '\e915';
  font-size: 18px;
  font-size: 25px;
  display: block;
  position: relative;
  left: 0;
  bottom: 5px;
  color: #379B05;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  width: fit-content;
  margin-left: auto;
}
.glossary-detail button.search-btn {
  border: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 2;
  cursor: pointer;
  padding: 0;
  background: #379b05;
  opacity: 1;
  align-items: center;
  border-radius: 3px;
  display: flex;
  height: 40px;
  justify-content: center;
  width: 55px;
  transition: opacity .3s;
}
.glossary-detail button.search-btn:before {
  content: '検索';
  font-size: 15px;
  display: block;
  position: relative;
  left: -12px;
  top: 1px;
  color: #ffffff;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  width: fit-content;
  margin-left: auto;
}